# puppet_agent_distro

This module wraps [https://github.com/puppetlabs/puppetlabs-puppet_agent/](puppetlabs-puppet_agent)
to install Puppet from system packages on platforms / OS versions not available on the Puppetlabs repositories.

Tested on Fedora 39 and Debian 12 (Bookworm).

# Usage

## Puppet Bolt

Add this to your dependencies in `bolt-project.yaml`:

```yaml
modules:
  - danielkza-puppet_agent_distro
```

Change your settings to use `puppet_agent_distro::install` as the default `apply_prep` module:

With Bolt, change your project settings to use this for the default agent installation module.
Edit your `inventory.yaml`

```yaml
- groups:
  - name: all
    plugin_hooks:
    puppet_library:
      plugin: task
      task: puppet_agent_distro::install
```

or `bolt-defaults.yaml`

```yaml
plugin-hooks:
  puppet_library:
    plugin: task
    task: puppet_agent_distro::install
```
# License

See LICENSE.MD
